
/*
	simpledownload.h
*/

#ifndef _INC_SIMPLEDOWNLOAD_H
#define _INC_SIMPLEDOWNLOAD_H

#ifdef  __cplusplus
extern "C" {
#endif

#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include <winsock.h>
#include <commdlg.h>	/* GetSaveFileName */

#include <malloc.h>		/* alloca */
#include <stdlib.h>		/* strtol */

#if defined(_MSC_VER) && !defined(__STDC__)
#ifdef INLINE
#undef INLINE
#endif /* #ifdef INLINE */
#define INLINE __inline
#endif

#pragma comment(lib, "wsock32.lib")
#pragma comment(lib, "comdlg32.lib")

#define strcat	lstrcat
#define strcmp	lstrcmp
#define stricmp	lstrcmpi
#define strcpy	lstrcpy
#define strlen	lstrlen

INLINE char*
strncpy(char *s1, const char *s2, size_t length)
{
	return lstrcpyn(s1, s2, length + 1) ;
}

extern HINSTANCE ghInst ;

static const char *g_szAppName = "SimpleDownload" ;

#include "util.h"

#ifdef  __cplusplus
}
#endif

#endif /* #ifndef _INC_SIMPLEDOWNLOAD_H */
